summaryrefslogtreecommitdiffstats
path: root/libraries/libjpeg-turbo
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libjpeg-turbo')
-rw-r--r--libraries/libjpeg-turbo/README5
-rw-r--r--libraries/libjpeg-turbo/libjpeg-turbo.SlackBuild68
-rw-r--r--libraries/libjpeg-turbo/libjpeg-turbo.info10
-rw-r--r--libraries/libjpeg-turbo/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/libjpeg-turbo/README b/libraries/libjpeg-turbo/README
new file mode 100644
index 0000000000..829fcb03ba
--- /dev/null
+++ b/libraries/libjpeg-turbo/README
@@ -0,0 +1,5 @@
+libjpeg-turbo is a version of libjpeg which uses MMX, SSE, and SSE2
+SIMD instructions to accelerate baseline JPEG compression and
+decompression by about 2-4x on x86 and x86-64 platforms. It is based
+on libjpeg/SIMD but has numerous enhancements.
+
diff --git a/libraries/libjpeg-turbo/libjpeg-turbo.SlackBuild b/libraries/libjpeg-turbo/libjpeg-turbo.SlackBuild
new file mode 100644
index 0000000000..bc988a72e1
--- /dev/null
+++ b/libraries/libjpeg-turbo/libjpeg-turbo.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for libjpeg-turbo
+
+# Written by V'yacheslav Stetskevych <slava18 dont_spam_me gmail com>
+
+PRGNAM=libjpeg-turbo
+VERSION=${VERSION:-0.0.91}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# In order to install libjpeg-turbo globally, run ./configure like this
+# (To revert back, simply reinstall slackware's libjpeg package):
+# ./configure \
+# --prefix=/usr \
+# --libdir=/usr/lib${LIBDIRSUFFIX}
+# Otherwise, use LD_LIBRARY_PATH to override it for individual applications.
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BUILDING.txt ChangeLog.txt LGPL.txt LICENSE.txt README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libjpeg-turbo/libjpeg-turbo.info b/libraries/libjpeg-turbo/libjpeg-turbo.info
new file mode 100644
index 0000000000..9bbdc38453
--- /dev/null
+++ b/libraries/libjpeg-turbo/libjpeg-turbo.info
@@ -0,0 +1,10 @@
+PRGNAM="libjpeg-turbo"
+VERSION="0.0.91"
+HOMEPAGE="http://libjpeg-turbo.virtualgl.org"
+DOWNLOAD="http://downloads.sourceforge.net/libjpeg-turbo/libjpeg-turbo-0.0.91.tar.gz"
+MD5SUM="21c35a6bcb0e7878977c4f1e0f2ed380"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="V'yacheslav Stetskevych"
+EMAIL="slava18@gmail.com"
+APPROVED="dsomero"
diff --git a/libraries/libjpeg-turbo/slack-desc b/libraries/libjpeg-turbo/slack-desc
new file mode 100644
index 0000000000..f37e602b2e
--- /dev/null
+++ b/libraries/libjpeg-turbo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libjpeg-turbo: libjpeg-turbo (accelerated libjpeg)
+libjpeg-turbo:
+libjpeg-turbo: libjpeg-turbo is a version of libjpeg which uses MMX, SSE, and SSE2
+libjpeg-turbo: SIMD instructions to accelerate baseline JPEG compression and
+libjpeg-turbo: decompression by about 2-4x on x86 and x86-64 platforms. It is based
+libjpeg-turbo: on libjpeg/SIMD but has numerous enhancements.
+libjpeg-turbo: See README-turbo.txt in /usr/doc/libjpeg-turbo* for usage hints.
+libjpeg-turbo:
+libjpeg-turbo: Homepage: http://libjpeg-turbo.virtualgl.org
+libjpeg-turbo:
+libjpeg-turbo: